Package de.willuhn.jameica.hbci.synchronize

# Interface SynchronizeJobProvider

All Superinterfaces:
  `Comparable`

All Known Subinterfaces:
  `HBCISynchronizeJobProvider`, `ScriptingSynchronizeJobProvider`

All Known Implementing Classes:
  `AbstractHBCISynchronizeJobProvider`, `HBCISynchronizeJobProviderAuslandsUeberweisung`, `HBCISynchronizeJobProviderKontoauszug`, `HBCISynchronizeJobProviderKontoauszugPdf`, `HBCISynchronizeJobProviderQuittung`, `HBCISynchronizeJobProviderSepaDauerauftrag`, `HBCISynchronizeJobProviderSepaLastschrift`, `ScriptingSynchronizeJobProviderKontoauszug`

public interface SynchronizeJobProvider extends Comparable
Marker-Interface, um die Job-Provider fuer das Backend zu finden. Erweitert Comparable, um die Jobs sortieren zu koennen.

## Method Summary

Modifier and Type
Method
Description
`List<Class<? extends SynchronizeJob>>`
`getJobTypes()`
Liefert eine Liste der implementierenden Klassen der Jobs, die dieser Provider unterstuetzt.
`List<SynchronizeJob>`
`getSynchronizeJobs(Konto k)`
Liefert eine Liste der auszufuehrenden Synchronisierungsjobs auf dem angegebenen Konto.
`boolean`
`supports(Class<? extends SynchronizeJob> type, Konto k)`
Prueft, ob der Job-Provider diesen Job fuer das angegebene Konto beherrscht.

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getSynchronizeJobs

List<SynchronizeJob> getSynchronizeJobs(Konto k)
Liefert eine Liste der auszufuehrenden Synchronisierungsjobs auf dem angegebenen Konto.

Parameters:
  `k` - das Konto. Wenn kein Konto angegeben ist, werden die Jobs aller Konten zurueckgeliefert.
Returns:
  Liste der auszufuehrenden Jobs.

### getJobTypes

List<Class<? extends SynchronizeJob>> getJobTypes()
Liefert eine Liste der implementierenden Klassen der Jobs, die dieser Provider unterstuetzt.

Returns:
  Liste der implementierenden Klassen der Jobs des Providers.

### supports

boolean supports(Class<? extends SynchronizeJob> type, Konto k)
Prueft, ob der Job-Provider diesen Job fuer das angegebene Konto beherrscht.

Parameters:
  `type` - der Job-Typ.
  `k` - das konkrete Konto.
Returns:
  true, wenn er es beherrscht.